require 'net/http'
require 'json'

module GeolocationIp

  def self.now(callback = nil)
		request(nil, callback)
  end

  def self.find(remote, callback = nil)
  	request(remote, callback)
  end

  private

  # source : http://ip-api.com/docs/api:json
  def self.request(remote = nil, callback = nil)
  	url 		 = 'http://ip-api.com/json/'
  	uri      = URI("#{url}#{remote}#{callback.nil? ? '' : '?callback=' + callback }")
		response = Net::HTTP.get_response(uri)
		data     = response.body
		callback.nil? ? JSON.parse(data) : data
  end
end
